Skip to main content
`Ctrl`+`K`

# PetscObjectInheritPrintedOptions

If the child object is not on the MPI rank 0 process of the parent object and the child is sequential then the child gets it set.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectInheritPrintedOptions(PetscObject pobj, PetscObject obj)

## Input Parameters

- pobj - the parent object

- obj - the `PetscObject`

## Developer Notes

This is used, for example to prevent sequential objects that are created from a parallel object; such as the `KSP` created by `PCBJACOBI` from all printing the same help messages to the screen

This will not handle more complicated situations like with `PCGASM` where children may live on any subset of the parent’s processes and overlap

## See Also

`PetscOptionsInsert()`, `PetscObjectSetPrintedOptions()`, `PetscObject`

## Level

developer

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages